Subject: Re: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Tim Ruffing <[email-masked]>
Date: Wed, 30 Oct 2024 19:00:17 +0100

On Wed, 2024-10-30 at 19:46 +0200, Eli Zaretskii wrote:
> 
> Did the "bad" display start from "good" at the beginning of a
> session? Or did it start from "bad" to begin with?

I'm rather sure that it started bad from the beginning of the session
yesterday.

In general, I'm not so sure, unfortunately. (I had disabled ligatures
in the past months because this bug was too annoying.) Don't rely on
any of this: I can't recall that it ever flipped suddenly from good to
bad *when the affected ligatures was in the visible array of the
buffer*. But I'm not so sure if this has really never flipped from good
to bad during a session, when the ligature was not visible.

Perhaps the other reporters have a better memory. 

Tim